/*
 * CARNAC interface
 * prediction of secondary structure of RNA
 *
 */

import java.io.*;
import java.util.*;
import java.awt.*;
import java.awt.geom.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
 * This is Ct View program
 * graphical backbone representaiton of ct files
 *
 */
public class CtView {

	public CtView() {
	
	
	}
	
	public static void main(String[] args) {
	/*
	 * Look & Feel 
	 */
	 /*
		try {
		UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
		//UIManager.setLookAndFeel("com.sun.java.swing.plaf.motif.MotifLookAndFeel");
		} catch (Exception exc) {
			System.err.println("Error loading L&F: " + exc);
		}
	*/
		File [] file;
		StructureFrame [] frame;
		int yLocation = 10;
		
		if (0 == args.length)
			return;
		file = new File[args.length];
		frame = new StructureFrame[args.length];
		for (int i=0; i < args.length; i++) {
			frame[i] = new StructureFrame(0, yLocation = (yLocation + 25) % 500);
			frame[i].show(new File(args[i]));
		}
		
	}
	

}
 