import java.io.*;
import java.util.*;

/**
 * This is the Sequence class
 * 
 *
 */
 
public class Sequence {
	public String str; 
	public String name;
	public StringBuffer rString; // string whith inserted spaces use for alignement
	public int idx;
	
	/**
	 * Construct a new Sequence with the string (atattt..) str name name and index idx
	 */
	public Sequence(String str, String name, int idx) {
		this.idx = idx;
		this.name = name;
		this.str = str;
	}
	/**
	 * Construct a new Sequence with the string (atattt..) str name name
	 */
	public Sequence(String str, String name) {
		this.idx = 0;
		this.name = name;
		this.str = str;
	}
	
	/**
	 * return String value of the Sequence
	 */
	public String toString() {
		return str;
	}

	public String getStr() {
		return str;
	}

	/**
	 * return the name of the Sequence
	 */
	public String getName() {
		return name;
	}
	
	public int length() {
		return str.length();
	}
	
	public String sub(int xMin, int xMax){
		if (xMin > str.length())
			return new String("");
		if (xMax > str.length())
			return str.substring(xMin, str.length());
		return str.substring(xMin, xMax);
	}
	
    
	/**
	 *  Convert i to str file format ("str.002.004.str"). Ex i=5 -> return "004" String
	 */
	public static String getStr(int i) {
		String string = (new Integer(i+1).toString());
		if (string.length() == 1)
			return "00" + string;
		else if (string.length() == 2)
			return "0" + string;
		else
			return string;
	}
	
/*
    public static int getFirst(File file){
        String str = (file.getName()).substring(4,7);
        return new Integer(str).intValue() - 1;
    }
    public static int getSecond(File file){
        String str = (file.getName()).substring(8,11);
        return new Integer(str).intValue() - 1;
    }
    
*/    
	
}
