

/*----------------------------------------------*/
/* parse.h                                      */
/*----------------------------------------------*/

//pac
#include <bsd.h>
#include <stdlib.h>
#include <stdio.h>

// verbose
int INTERFACE;
int VERBOSE;
int DYNAM;
int OUTPUT;
int GRAPH;
int COMPARE;
int CLEAN;
int DEBUG;
int TRY;
int LATEX;

// simil & anchor points
int AP_THD;
int SUB;
int SIMIL_THD;

// single hairpins
int SIZE_MAX_HP;
int THD_HP;
int SINGLE_HP;

// hairpins
int SIZE_HAIRPIN;

// threshold stems
float SCALING;
int CORRECT_THD;
int INI_THD;
int DIST_1;
int THD_1;
int DIST_2;
int THD_2;

// matchable stems
int FLT;
int COVAR;

// print
int LARGE;

void parse_config_file (char *fileName);
void parse_command_line (int argc, char **argv);
